> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/payments/endpoints/reversals.md).

# Reversals

An authorization reversal releases the hold that an authorization placed on a customer’s payment method funds.

{% tabs %}
{% tab title="cUrl" %}

```json
POST /v1/payments/:id/reversal

curl –X POST 'https://api.firstoken.co/v1/payments/:id/reversal' \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR API KEY' \
--data '{
    "transaction_info": {
        "type": "authorization_reversal",
        "reference_code": "123456789"
    },
    "reversal_info": {
        "amount_details": {
            "total_amount": 1000
        }
    },
    "device_info": {
        "ip_address": "12.7.8.120"
    }
}'

```

{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid payment Transaction ID
> {% endtab %}

{% tab title="Attributes of the response" %}
**status**: *string*\
The status is a string result that only has two possible values. "Success, “Error” or "Fail".

**message**: *string*\
The message value represents a short description about the status code.

**data**: *{object}*\
The value of the data represents a set of JSON objects with the transaction’s details:

> * **transaction\_info**: *{object}*\
>   The wrapper object of the transaction’s information. Contains:
>   * **type**: *string*\
>     The type of transaction response.
>   * **reference\_code**: *string*
>
>     A reference code for the transaction.
>   * **transaction\_id**: *string*
>
>     Our transaction identifier of the request. It is used in other requests.
>   * **request\_id**: *string*
>
>     The identifier of the request associated with the transaction.
>   * **status**: *string*
>
>     The status received of the transaction.
>   * **created\_at**: *ISO Date*
>
>     The ISO Date of the request.
>     {% endtab %}
>     {% endtabs %}

<details>

<summary>Example of the JSON response</summary>

```json
{
    "status": "success",
    "message": "Authorization reversal successfull",
    "data": {
        "transaction_info": {
            "type": "authorization_reversal_response",
            "reference_code": "123456789",
            "transaction_id": "0001708979971435543349",
            "request_id": "7089799728616517004951",
            "status": "Reversed",
            "created_at": "2024-02-26T20:39:33Z"
        }
    }
}

```

</details>
